## jifty 0.91117+dfsg

=== debian/changelog ===
jifty (0.91117+dfsg-3) unstable; urgency=low

  * Team Upload.
  * Apply patch to fix FTBFS with YAML-Syck 1.12. (Closes: #592981)
    + new patch: 60354-Jifty-FTBFS-with-YAML-Syck-1.12.diff
  * debian/copyright: Refer to /usr/share/common-licenses/GPL-1.
  * Bump Standards-Version to 3.9.1.

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 18 Aug 2010 19:05:24 +0900

jifty (0.91117+dfsg-2) unstable; urgency=low

  * Install localized manpages into language-specific directories; remove now
    unnecessary lintian overrides. Thanks to Raphael Geissert for the bug
    report (closes: #588021).
  * Set Standards-Version to 3.9.0; replace Conflicts with Breaks.
  * Add another spelling fix to spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Jul 2010 15:12:33 +0200

jifty (0.91117+dfsg-1) unstable; urgency=low

  * Repack the upstream tarball: remove non-free share/web/static/js/json.js.
    Install json2.js (taken from http://www.json.org/json2.js, released into
    the public domain) instead. Closes: #585468.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jun 2010 15:17:58 +0200

jifty (0.91117-2) unstable; urgency=low

  * debian/rules: fix bashism, thanks to Raphael Geissert for the bug report
    (closes: #581468).
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * Add /me to Uploaders.
  * Set Standards-Version to 3.8.4; remove version from perl build dependency.
  * debian/copyright: update DEP5-style formatting.
  * Update patch headers (DEP3 style).
  * debian/control: remove duplicate dependencies (thanks lintian).
  * New patch to fix some spelling mistakes.
  * One more lintian override (false positive spell check in German manual).

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 May 2010 22:02:32 +0200

jifty (0.91117-1) unstable; urgency=low

  [ AGOSTINI Yves ]
  * New upstream release
  * refresh to dh 7
  * update lintian override
  * update patches
  * add ${misc:Depends} for dh7
  * Update copyright format to proposal rev=196
  * Add copyright for facebox.js
  * control: 
     - add dep on libtest-script-run-perl (>= 0.03)
     - add dep in libyui-js (closes: #557748)
     - Standards-Version: bump to 3.8.3
  * rules / links: exclude yui js files and create links with libyui-js
  * add patch to fix failing test on t/03-format.t (closes: #555854)
  * start dep-3 patch format

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * debian/control: change (build) dependency on "libemail-mime-
    {creator,modifier}-perl" to "libemail-mime-perl (>= 1.901) |
    libemail-mime-{creator,modifier}-perl".
  * Bump (build) dependency on libemail-mime-createhtml-perl to >= 1.026-3
    (partly fixes #555854).
  * debian/control: replace (build) dependency on libemail-simple-
    creator-perl with "libemail-simple-perl (>= 2.100) | libemail-
    simple-creator-perl".
  * debian/control: debhelper 7.2.13 (deal with Module::AutoInstall).
  * Add note from upstream Changelog to debian/NEWS about possible
    incompatibilities.

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Wed, 18 Nov 2009 14:22:48 +0100

jifty (0.90519-1) unstable; urgency=low

  [ AGOSTINI Yves ]
  * new release
  * remove plugins no more embedded in jifty core, add NEWS.Debian about this
    and versioned Conflicts on the old plugin packages
  * control: 
     - Standards-Version: bump to 3.8.1
     - Suggest: remove suggested plugins, add libclass-accessor-named-perl for
       jifty framework development, 
     - Desription: change "We" by "Jifty developers"
     - Remove plugins
     - Update dep
     - bump version numbers from makefile
  * libjifty-plugin-halo-perl removed (Closes: #506176) now in core, 
    there's a Provides and a Replaces field in control
  * refresh lintian warnings on long lines
  * rules: - fix bad rights for some css and js files
     - remove testapp and mailbox test files
  * links: - scriptaculous and protoype now in Plugin::Prototypism
     - update to jquery 1.2.6
  * copyright: - remove plugins related copyrights
     - add singlepage/rsh/rsh.js other-BSD copyright 
  * patches: 
     - update debian patchs for 4 manpage-has-bad-whatis-entry
     - allow follow symlink for js libraries
     - fix mistake in TestApp test

  [ gregor herrmann ]
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add missing commas to Suggests

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/rules:
    - set PERL5_CPANPLUS_IS_RUNNING to stop the broken Module::Install 0.85
      from loading CPAN.pm
    - unset http_proxy for tests
    - create a directory that is needed by the test suite

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Wed, 20 May 2009 09:55:55 +0200

jifty (0.80408-2) unstable; urgency=low

  * add links in debian rules for WikiToolbar and AuthzLDAP plugins to use the
    same Module::Install version than jifty. Since Module::Install 0.76, share
    destination path changed. (Closes: #493439)
  * debian/control, rules, libjifty-perl.links: add dep and links to use
    packaged libjs-prototype. Closes lintian warning.
  * debian/control, rules, libjifty-plugin-chart-perl.links: add dep and links
    to use packaged libjs-mochikit. Closes lintian warning.

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Tue, 12 Aug 2008 09:26:42 +0200

jifty (0.80408-1) unstable; urgency=low

  * Initial Release. (Closes: #479555)

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Sat, 24 May 2008 08:54:18 +0200
