=== debian/control ===
Source: jifty
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7.2.13)
Build-Depends-Indep: perl, libyaml-perl (>= 0.35),
 libtest-www-selenium-perl, libtest-pod-perl, libtest-script-run-perl (>= 0.03),
 libemail-simple-perl (>= 2.003), libcgi-pm-perl (>= 3.30),
 libipc-run3-perl, libemail-localdelivery-perl (>= 0.217), libtest-base-perl,
 libhtml-mason-perl (>= 1.3101), libhtml-parser-perl,
 libemail-mime-perl (>= 1.901) | libemail-mime-creator-perl (>= 1.45), libipc-pubsub-perl (>= 0.23),
 libfile-find-rule-perl, liburi-perl (>= 1.31),
 libtest-pod-coverage-perl, libtemplate-declare-perl (>= 0.36),
 libclass-accessor-perl, libossp-uuid-perl, libcrypt-rijndael-perl,
 libdata-page-perl, libstring-koremutake-perl, libparams-validate-perl,
 libwww-perl, libdatetime-perl,
 libhtml-lint-perl, libscalar-defer-perl (>= 0.12),
 libcss-squish-perl (>= 0.07),
 libdatetime-locale-perl, libhttp-server-simple-perl (>= 0.35),
 libtest-http-server-simple-perl (>= 0.10),
 libxml-xpath-perl, libfile-mmagic-perl, libclass-container-perl,
 libtest-longstring-perl, liblocale-maketext-lexicon-perl (>= 0.77),
 libexporter-lite-perl, libmodule-refresh-perl,
 libwww-mechanize-perl (>= 1.3), libemail-mime-perl (>= 1.861),
 libapp-cli-perl (>= 0.08),
 libemail-mime-createhtml-perl (>= 1.026-3), libemail-send-perl (>= 2.10), libcrypt-cbc-perl,
 libxml-writer-perl (>= 0.601), libsql-reservedwords-perl,
 libmodule-scandeps-perl, libclass-inspector-perl (>= 1.2), libdate-manip-perl,
 liblog-log4perl-perl (>= 1.11), libemail-simple-perl (>= 2.100) | libemail-simple-creator-perl (>= 1.4),
 libpadwalker-perl, libdbd-sqlite3-perl (>= 1.11),
 libemail-mime-perl (>= 1.901) | libemail-mime-modifier-perl (>= 1.442), libxml-simple-perl,
 libcalendar-simple-perl, libhook-lexwrap-perl, libcache-cache-perl,
 libfile-sharedir-perl (>= 1.00), libobject-declare-perl (>= 0.13),
 libclass-data-inheritable-perl, libcgi-cookie-splitter-perl,
 libextutils-command-perl, libhash-merge-perl, libemail-folder-perl,
 libyaml-syck-perl (>= 0.71), libmime-types-perl,
 libclass-trigger-perl (>= 0.13), libclone-perl (>= 0.27),
 libemail-mime-contenttype-perl (>= 1.012), libuniversal-require-perl,
 libtest-mockmodule-perl, libtest-www-declare-perl, libtest-mockobject-perl,
 libtest-www-mechanize-perl (>= 1.04), libhttp-server-simple-recorder-perl,
 libmodule-install-perl (>= 0.75),
 libjifty-dbi-perl (>= 0.53), libjs-scriptaculous, libjs-jquery,
 libjs-prototype, libjs-yui,
 perl (>= 5.10) | libversion-perl,
 libexception-class-perl, libsuper-perl, libstring-bufferstack-perl (>= 1.12),
 libnet-server-perl, libdata-dump-streamer-perl,
 libdevel-cover-perl, libtest-email-perl,
 libdevel-repl-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: AGOSTINI Yves <agostini@univ-metz.fr>,
 gregor herrmann <gregoa@debian.org>
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/Jifty/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/jifty/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/jifty/

Package: jifty
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libjifty-perl
Description: perl web MVC framework
 Perl based web framekwork.
 Jifty offers the following features:
 .
 DRY (Don't Repeat Yourself)
        Jifty tries not to make you say things more than once.
 .
 Full-stack
        Out of the proverbial box, Jifty comes with one way to do everything
        you should need to do: One database mapper, one templating system,
        one web services layer, one AJAX toolkit, one set of handlers for
        standalone or FastCGI servers. Jifty developers work hard to make all
        the bits play well together, so you don't have to.
 .
 Continuations
        With Jifty, it's easy to let the user go off and do something else,
        like fill out a wizard, look something up in the help system or go
        twiddle their preferences and come right back to where they were.
 .
 Form-based dispatch
        This is one of the things that Jifty does that we've not seen
        anywhere else. Jifty owns your form rendering and processing. This
        means you never need to write form handling logic. All you say is "I
        want an input for this argument here" and Jifty takes care of the
        rest. (Even autocomplete and validation)
 .
 This metapackage provides examples to help you writing application on your
 desktop. You can use libjifty-perl package alone for running your jifty 
 application on servers.

Package: libjifty-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libyaml-perl (>= 0.35),
 libtest-www-selenium-perl, libtest-pod-perl,
 libemail-simple-perl (>= 2.003), libcgi-pm-perl (>= 3.30),
 libipc-run3-perl, libemail-localdelivery-perl (>= 0.217), libtest-base-perl,
 libhtml-mason-perl (>= 1.3101), libhtml-parser-perl,
 libemail-mime-perl (>= 1.901) | libemail-mime-creator-perl (>= 1.45), libipc-pubsub-perl (>= 0.23),
 libfile-find-rule-perl, liburi-perl (>= 1.31),
 libtest-pod-coverage-perl, libtemplate-declare-perl (>= 0.36),
 libclass-accessor-perl, libossp-uuid-perl, libcrypt-rijndael-perl,
 libdata-page-perl, libstring-koremutake-perl, libparams-validate-perl,
 libwww-perl, libdatetime-perl,
 libhtml-lint-perl, libscalar-defer-perl (>= 0.12),
 libcss-squish-perl (>= 0.07),
 libdatetime-locale-perl, libhttp-server-simple-perl (>= 0.35),
 libtest-http-server-simple-perl (>= 0.10),
 libxml-xpath-perl, libfile-mmagic-perl, libclass-container-perl,
 libtest-longstring-perl, liblocale-maketext-lexicon-perl (>= 0.77),
 libexporter-lite-perl, libmodule-refresh-perl,
 libwww-mechanize-perl (>= 1.3), libemail-mime-perl (>= 1.861),
 libapp-cli-perl (>= 0.08),
 libemail-mime-createhtml-perl (>= 1.026-3), libemail-send-perl (>= 2.10), libcrypt-cbc-perl,
 libxml-writer-perl (>= 0.601), libsql-reservedwords-perl,
 libmodule-scandeps-perl, libclass-inspector-perl (>= 1.2), libdate-manip-perl,
 liblog-log4perl-perl (>= 1.11), libemail-simple-perl (>= 2.100) | libemail-simple-creator-perl (>= 1.4),
 libpadwalker-perl, libdbd-sqlite3-perl (>= 1.11),
 libemail-mime-perl (>= 1.901) | libemail-mime-modifier-perl (>= 1.442), libxml-simple-perl,
 libcalendar-simple-perl, libhook-lexwrap-perl, libcache-cache-perl,
 libfile-sharedir-perl (>= 1.00), libobject-declare-perl (>= 0.13),
 libclass-data-inheritable-perl, libcgi-cookie-splitter-perl,
 libextutils-command-perl, libhash-merge-perl, libemail-folder-perl,
 libyaml-syck-perl (>= 0.71), libmime-types-perl,
 libclass-trigger-perl (>= 0.13), libclone-perl (>= 0.27),
 libemail-mime-contenttype-perl (>= 1.012), libuniversal-require-perl,
 libtest-mockmodule-perl, libtest-www-declare-perl, libtest-mockobject-perl,
 libtest-www-mechanize-perl (>= 1.04), libhttp-server-simple-recorder-perl,
 libmodule-install-perl (>= 0.75),
 libjifty-dbi-perl (>= 0.53), libjs-scriptaculous, libjs-jquery, libjs-yui,
 libjs-prototype, libtest-email-perl,
 libexception-class-perl, libsuper-perl, libstring-bufferstack-perl (>= 1.12),
 libnet-server-perl, libdata-dump-streamer-perl,
 perl (>= 5.10) | libversion-perl
Suggests: libclass-accessor-named-perl
Breaks: libjifty-plugin-authentication-cas-perl (<= 0.80408-2),
 libjifty-plugin-authentication-ldap-perl (<= 0.80408-2),
 libjifty-plugin-authzldap-perl (<= 0.80408-2),
 libjifty-plugin-chart-perl (<= 0.80408-2),
 libjifty-plugin-comment-perl (<= 0.80408-2),
 libjifty-plugin-editinplace-perl (<= 0.80408-2),
 libjifty-plugin-googlemap-perl (<= 0.80408-2),
 libjifty-plugin-wikitoolbar-perl (<= 0.80408-2)
Replaces: libjifty-plugin-halo-perl (<= 0.80408-2)
Provides: libjifty-plugin-halo-perl
Description: Jifty perl libraries
 This package provides perl libraries for Jifty framework. 
 .
 You can use this package alone or with suggested plugins to run your jifty
 applications on your servers. 
 .
 Use jifty metapackage to add more examples when you write application on your
 desktop.
