## jifty 1.10518+dfsg

=== debian/changelog ===
jifty (1.10518+dfsg-2) unstable; urgency=low

  * Added img_tag_has_no_height_and_width.patch (closes: #662816).
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Amended copyright years.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Tue, 06 Mar 2012 17:38:55 +0100

jifty (1.10518+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * Add notes about incompatible changes to debian/NEWS.
  * Update build and runtime dependencies (new upstream requirements, and
    remove versions that are satisfied in lenny).
  * debian/copyright: update years of upstream copyright and formatting.
  * Remove patches manpage-has-bad-whatis-entry.patch,
    fix-rest-test-format.patch, 60354-Jifty-FTBFS-with-YAML-Syck-1.12.diff
    (fixed upstream).

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Florian Schlichting ]
  * Add missing (build) dependencies (libhtml-treebuilder-xpath-perl,
    libshell-command-perl)
  * One of the upstream releases fixes the RC bug (Closes: #611368)
  * Bump Standards-Version and debhelper compatibility level (no change).
  * New patch: content_lacks-wants-scalar-not-regex.patch
  * fix and comment in spelling.patch
  * make dfsg-free json.js available during dh_auto_test
  * delete duplicate Build-Depends-Indep: libhtml-lint-perl and
    redundant Suggests: libclass-accessor-named-perl

  [ gregor herrmann ]
  * Update jquery filename in debian/{rules,libjifty-
    perl.links,copyright}.
  * Add another correction to spelling.patch.
  * debian/copyright: update third-party copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Mon, 29 Aug 2011 19:38:08 +0000
