=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	dh $@
 
 override_dh_auto_test:
+	# copy dfsg-free json.js here, otherwise tests won't find it and fail
+	cp debian/json.js blib/lib/auto/share/dist/Jifty/web/static/js/
 	# skip test for build test
 	LANG=C http_proxy= dh_auto_test
 
@@ -26,15 +28,15 @@
 	dh_install -pjifty debian/tmp/usr/share/perl5/Jifty/Manual/Tutorial* usr/share/perl5/Jifty/Manual/
 	dh_install -plibjifty-perl \
 		-XManual/Tutorial \
-        -Xprototypism/scriptaculous \
-        -Xjs/jquery-1.2.6.js \
+		-Xprototypism/scriptaculous \
+		-Xjs/jquery-1.4.1.js \
 		-Xyui/container.js \
 		-Xyui/dom.js \
 		-Xyui/event.js \
 		-Xyui/menu.js \
 		-Xyui/tabview.js \
 		-Xyui/yahoo.js \
-        -Xprototype.js debian/tmp/*
+ 		-Xprototype.js debian/tmp/*
 
 override_dh_fixperms:
 	dh_fixperms
