=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
	http://search.cpan.org/dist/Jifty/   .*/Jifty-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
	debian sh debian/repack.stub
